org.apache.calcite.avatica.proto

## Enum Common.MetaDataOperationArgument.ArgumentType

- java.lang.Object
- - java.lang.Enum<Common.MetaDataOperationArgument.ArgumentType>
  - - org.apache.calcite.avatica.proto.Common.MetaDataOperationArgument.ArgumentType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<Common.MetaDataOperationArgument.ArgumentType>

Enclosing class:
  Common.MetaDataOperationArgument

    public static enum Common.MetaDataOperationArgument.ArgumentType
    extends Enum<Common.MetaDataOperationArgument.ArgumentType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `MetaDataOperationArgument.ArgumentType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOL` `BOOL = 1;`
`INT` `INT = 2;`
`NULL` `NULL = 5;`
`REPEATED_INT` `REPEATED_INT = 4;`
`REPEATED_STRING` `REPEATED_STRING = 3;`
`STRING` `STRING = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `BOOL_VALUE` `BOOL = 1;`
`static int` `INT_VALUE` `INT = 2;`
`private static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperationArgument.ArgumentType>` `internalValueMap`
`static int` `NULL_VALUE` `NULL = 5;`
`static int` `REPEATED_INT_VALUE` `REPEATED_INT = 4;`
`static int` `REPEATED_STRING_VALUE` `REPEATED_STRING = 3;`
`static int` `STRING_VALUE` `STRING = 0;`
`private int` `value`
`private static Common.MetaDataOperationArgument.ArgumentType[]` `VALUES`

### Method Summary

Methods
`static Common.MetaDataOperationArgument.ArgumentType` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperationArgument.ArgumentType>` `internalGetValueMap()`
`static Common.MetaDataOperationArgument.ArgumentType` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static Common.MetaDataOperationArgument.ArgumentType` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static Common.MetaDataOperationArgument.ArgumentType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Common.MetaDataOperationArgument.ArgumentType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final Common.MetaDataOperationArgument.ArgumentType STRING

`STRING = 0;`

#### BOOL

    public static final Common.MetaDataOperationArgument.ArgumentType BOOL

`BOOL = 1;`

#### INT

    public static final Common.MetaDataOperationArgument.ArgumentType INT

`INT = 2;`

#### REPEATED_STRING

    public static final Common.MetaDataOperationArgument.ArgumentType REPEATED_STRING

`REPEATED_STRING = 3;`

#### REPEATED_INT

    public static final Common.MetaDataOperationArgument.ArgumentType REPEATED_INT

`REPEATED_INT = 4;`

#### NULL

    public static final Common.MetaDataOperationArgument.ArgumentType NULL

`NULL = 5;`

#### UNRECOGNIZED

    public static final Common.MetaDataOperationArgument.ArgumentType UNRECOGNIZED

### Field Detail

#### STRING_VALUE

    public static final int STRING_VALUE

`STRING = 0;`

See Also:
  Constant Field Values

#### BOOL_VALUE

    public static final int BOOL_VALUE

`BOOL = 1;`

See Also:
  Constant Field Values

#### INT_VALUE

    public static final int INT_VALUE

`INT = 2;`

See Also:
  Constant Field Values

#### REPEATED_STRING_VALUE

    public static final int REPEATED_STRING_VALUE

`REPEATED_STRING = 3;`

See Also:
  Constant Field Values

#### REPEATED_INT_VALUE

    public static final int REPEATED_INT_VALUE

`REPEATED_INT = 4;`

See Also:
  Constant Field Values

#### NULL_VALUE

    public static final int NULL_VALUE

`NULL = 5;`

See Also:
  Constant Field Values

#### internalValueMap

    private static final com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperationArgument.ArgumentType> internalValueMap

#### VALUES

    private static final Common.MetaDataOperationArgument.ArgumentType[] VALUES

#### value

    private final int value

### Method Detail

#### values

    public static Common.MetaDataOperationArgument.ArgumentType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Common.MetaDataOperationArgument.ArgumentType c : Common.MetaDataOperationArgument.ArgumentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Common.MetaDataOperationArgument.ArgumentType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static Common.MetaDataOperationArgument.ArgumentType valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

#### forNumber

    public static Common.MetaDataOperationArgument.ArgumentType forNumber(int value)

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperationArgument.ArgumentType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static Common.MetaDataOperationArgument.ArgumentType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)